<?php
#------------------------------------------------------#
#               本程序为zChain.net提供                 #
#                zChain论坛(ZBB)v2.00                  #
#------------------------------------------------------#
# INPUT[FORM] : $f_name,$f_user,$f_pass,$f_o_mail,$f_o_url,$f_htmlt,$f_htmlb,$f_desc;

require "bin/config.php";
require "bin/common.php";

require_once('core/class_forum_base.php');
require_once('core/class_forum_base_ex.php');
CForumBase::setFileBase("$filepath");
require_once('core/base_memo_file.php');
require_once('core/class_user.php');
require_once('core/class_board.php');
require_once('core/base_array_file.php');
require_once('core/class_board_list.php');

if($f_id==0){ // new registration
 #--- Check permission ---
 if(!$pubregbrd){errorview('对不起，论坛暂时不允许申请！');}
}

#--- Validate user ---
include('bin/validate.php');
if(!$sv_user){errorview('您输入的版主密码错误！');}

#--- Check input data ---
if(($f_user == "")||($f_o_mail == "")||($f_name == "")){
 errorview('显示标题、名字、密码、信箱　必须填写，请重新输入！');
}
if(strlen($f_name) > 30){errorview('您的标题不能大于30个字符！');}
if(strlen($f_desc) > 400){errorview('您的简介不能大于200个汉字！');}
if(!preg_match("/.*\@.*\..*/",$f_o_mail)){errorview('您的Email输入错误！');}
if($f_o_url == "http://"){$f_o_url="";}

#--- Validate owner ---
$oUsr=new CUser;
if($f_owner1 && !$oUsr->isRegistered($f_owner1)){errorview('请先注册版主1的用户名，再来申请论坛');}
if($f_owner2 && !$oUsr->isRegistered($f_owner2)){errorview('请先注册版主2的用户名，再来申请论坛');}

if(!$oUsr->load($f_user)){errorview('请先注册版主的用户名，再来申请论坛');}

#--- Check Repeat Post ---
checkRepeat();

#--- Process new registration ---
$bid=($f_id==0) ? $imtime : $f_id;

if($f_id==0){

 #--- Create board directory ---
 if(!CForumBaseEx::createBoardDir($bid)){
  errorview('服务器过忙，请稍候按<a href=javascript:location.reload()>刷新</a>继续！');
  exit;
 }

 #--- Add board to list ---
 $oBrdLst=new CBoardList;
 $oBrdLst->load();
 $oBrdLst->appendNew();
 
 $oBrdLst->id=$bid;		$oBrdLst->name=$f_name;
 $oBrdLst->desc=$f_desc;	$oBrdLst->secret=$f_secret;
 
 $oBrdLst->update();
 $oBrdLst->store();

 #--- Create topic list & index ---
require_once('core/base_record_file.php');
require_once('core/class_topic_list.php');
require_once('core/base_index_file.php');
require_once('core/class_topic_index.php');

 $oTpcLst=new CTopicList;
 $oTpcIdx=new CTopicIndex;

 $fpath=CForumBase::getFilePath('TLIST',$bid);
 $oTpcLst->createFile($fpath, 256);

 $fpath=CForumBase::getFilePath('TINDEX',$bid);
 $oTpcIdx->createFile($fpath, 4);
}

#--- Prepare board info ---
$oBrd=new CBoard;

if($f_id==0){ // new registration
 $oBrd->reset();
 #--- Next statements are to register this board to central db
 #--- so that all ZBB boards could be linked together
 #--- NO PRIVATE INFOMATION IS RELEASED
 $url="?bid=$bid&url=".urlencode($prgurl)
  .'&name='.urlencode($f_name).'&desc='.urlencode($f_desc);
 $url='http://www.zchain.net/zbb/zbbreginfo.php'.$url;
 if($fp=fopen($url,'r')){fclose($fp);}
}else{
 if(!$oBrd->load($bid)){errorview('board not found!');}
}

$oBrd->name=$f_name;
$oBrd->secret=$f_secret;
$oBrd->owner=$oUsr->name;
$oBrd->o_mail=$f_o_mail;
$oBrd->o_url=$f_o_url;

$oBrd->owner1=$f_owner1;
$oBrd->owner2=$f_owner2;

if($f_id==0){$oBrd->time=$stime;}

$oBrd->desc =cleanHtml($f_desc);
$oBrd->htmlt=cleanText($f_htmlt);
$oBrd->htmlb=cleanText($f_htmlb);

#--- Store board info ---
$oBrd->store($bid);

#--- Display result ---
page_header();
page_header('论坛资料注册成功',"$imgurl/bei.gif");
print "<CENTER>";
$posText=getRootText()." >> 论坛资料注册";
menu_bar($posText,'');

print <<<EOT
<br>
<table cellspacing=1 cellpadding=5 align=center class=forumLine width=400>
<tr><td colspan=4 class=rowCaption>论坛资料注册成功</td></tr>
<tr><td class=row1 colspan=4 align=center>
<a href=viewboard.php?bid=$bid target=_blank>
我们为您的新论坛免费提供了一个属于您自己的域名：<br>
$prgurl/viewboard.php?bid=$bid<br>
请记住它！ 请在此行上点击您鼠标的右键，<br>
把这个域名加入您的书签或者收藏夹中</a></td></tr>
<tr>
 <td align=right class=row1 width=80>显示标题：</td>
 <td class=row2 width=120><font color=red>$f_name</font></td>
 <td align=right class=row1 width=80>您的主页：</td>
 <td class=row2 width=120><font color=red>$f_o_url</font></td>
</tr>
<tr>
 <td align=right class=row1 width=80>注册姓名：</td>
 <td class=row2 width=120><font color=red>$f_user</font></td>
 <td align=right class=row1 width=80>您的密码：</td>
 <td class=row2 width=120><font color=red>$f_pass</font></td>
</tr>
<tr>
 <td align=right class=row1 width=80>您的信箱：</td>
 <td class=row2 width=120><font color=red>$f_o_mail</font></td>
 <td align=right class=row1 width=80>注册时间：</td>
 <td class=row2 width=120><font color=red>$oBrd->time</font></td>
</tr>
</table>
<br>
[<a href=viewblist.php>进入 $commname</a>]
</center>
EOT;

page_footer();

/*
  $sendto=$f_mail;
  $subject="论坛系统开通通知";
  $message="
亲爱的$username, 您好!

　　恭喜! 您已经成功的申请了$hpname($hpurl)的论坛系统, 非常感谢您使用{$hpname}的服务!

　* 我们免费为您的论坛提供了一个比较好记的地址,请您试试
URL: $ym/bbs.cgi?id=$ftime

　* 同时我们也免费为您的社区提供了一个比较好记的地址,请您试试
URL: $ym/list.cgi?id=$ftime

　* 最后, 有几点注意事项请您牢记
1、不得使用本论坛系统建立任何包含色情、非法、以及危害国家安全的内容的论坛;
2、不得在本系统用户所拥有的论坛内发布任何色情、非法、或者危害国家安全的言论;
n3、以上规则违者责任自负，本站有权删除该类用户或者内容，并追究其法律责任。

免费论坛服务由 $hpname($hpurl) 提供　程序制作：zChain.net(http://www.zchain.net)";

if($mailprg){mail($sendto,$subject,$message);}else{@include "bin/smtp.php";}
*/
?>